<?xml version="1.0" encoding="UTF-8"?>
<?NLS TYPE="org.eclipse.help.toc"?>
<!-- ========================== -->
<!-- Define topics for the Reference -->
<!-- ========================== -->
<toc label="Riferimenti">

	<topic label="Nozioni fondamentali su JDT (Java Development Toolkit)">
		<topic label="Azioni di JDT" href="reference/ref-2.htm">
			<topic label="Azioni del menu File" href="reference/ref-menu-file.htm" />
			<topic label="Azioni del menu Modifica" href="reference/ref-menu-edit.htm" />
			<topic label="Azioni del menu Origine" href="reference/ref-menu-source.htm" />
			<topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm" />
			<topic label="Azioni del menu Naviga" href="reference/ref-menu-navigate.htm" />
			<topic label="Azioni del menu Cerca" href="reference/ref-menu-search.htm" />
			<topic label="Azioni del menu Progetto" href="reference/ref-menu-project.htm" />
			<topic label="Azioni del menu Esegui" href="reference/ref-149.htm"/>
			<topic label="Azioni della barra degli strumenti Java" href="reference/ref-3.htm"/>
			<topic label="Editor Java" href="reference/ref-java-editor.htm" />
			<topic label="Azioni di esecuzione e debug" href="reference/ref-4.htm" />
		</topic>
		<!--<topic label="JDT Perspectives" href="reference/ref-6.htm">
			<topic label="Java" href="reference/ref-7.htm" />
			<topic label="Java Type Hierarchy" href="reference/ref-8.htm" />
			<topic label="Debug" href="reference/ref-9.htm" />
		</topic> -->
	</topic>
	<anchor id="r_jdtbasics" />
	

	<topic label="Viste ed editor" href="reference/ref-24.htm">
		<topic label="Editor Java" href="reference/ref-java-editor.htm">
			<topic label="Assistente ai contenuti Java" href="reference/ref-143.htm" />
			<topic label="Correzione rapida" href="reference/ref-java-editor-quickfix.htm" />
		</topic>
		<anchor id="r_javaeditor" />
		<topic label="Pagina di bozza Java" href="reference/ref-34.htm" />
		<anchor id="r_scrapbook" />
		<topic label="Vista Punti di interruzione" href="reference/ref-35.htm">
			<topic label="Vai al file con punto di interruzione" href="reference/ref-38.htm" />
			<topic label="Aggiungi punto di interruzione dell'eccezione Java" href="reference/ref-40.htm" />
			<topic label="Sospendi criterio" href="reference/brkSuspendPolicy.htm" />
			<topic label="Numero passaggi" href="reference/ref-43.htm" />
			<topic label="Non rilevata" href="reference/ref-41.htm" />
			<topic label="Rilevata" href="reference/ref-42.htm" />
			<topic label="Modifica" href="reference/brkMod.htm" />
			<topic label="Accesso" href="reference/brkAccess.htm" />
			<topic label="Esci" href="reference/brkExit.htm" />
			<topic label="Voce" href="reference/brkEntry.htm" />
			<topic label="Seleziona tutto" href="reference/brkSelectAll.htm" />
			<topic label="Abilita" href="reference/ref-44.htm" />
			<topic label="Disabilita" href="reference/ref-44a.htm" />
			<topic label="Rimuovi i punti di interruzione selezionati" href="reference/ref-36.htm" />
			<topic label="Rimuovi tutti i punti di interruzione" href="reference/ref-37.htm" />
		    <topic label="Mostra nomi completi nella vista Punti di interruzione" href="reference/ref-39.htm" /> 
		    <topic label="Mostra punti di interruzione supportati" href="reference/brkShowSupported.htm" /> 
		    <topic label="Proprietà dei punti di interruzione" href="reference/brkProperties.htm" /> 
		</topic>
		<anchor id="r_breakpointsview" />
		<topic label="Vista Console" href="reference/ref-45.htm">
			<topic label="Copia" href="reference/ref-47.htm"/>
			<topic label="Seleziona tutto" href="reference/ref-48.htm"/>
			<topic label="Trova/Sostituisci" href="reference/ref-49.htm"/>
			<topic label="Vai alla riga" href="reference/ref-50.htm"/>
			<topic label="Cancella la Console" href="reference/ref-46.htm"/>
			<topic label="Termina" href="reference/ref-45b.htm"/>
		</topic>
		<anchor id="r_consoleview" />
		<topic label="Vista Debug" href="reference/ref-51.htm">
		</topic>
		<anchor id="r_debugview" />
		<topic label="Vista Visualizzazione" href="reference/ref-52.htm">
			<topic label="Valutazione di espressioni" href="tasks/tasks-138.htm"/>
			<topic label="Esamina" href="reference/ref-55.htm"/>
			<topic label="Visualizzazione" href="reference/ref-54.htm"/>
		   	<topic label="Elimina" href="reference/ref-53.htm"/>
		</topic>
		<anchor id="r_displayview" />
		<topic label="Vista Espressioni" href="reference/ref-56.htm">
			<topic label="Seleziona tutto nella vista Espressioni" href="reference/ref-56a.htm"/>
			<topic label="Copia variabili nella vista Espressioni" href="reference/ref-56b.htm"/>
			<topic label="Rimuovi espressioni selezionate" href="reference/ref-59.htm" />
		    <topic label="Rimuovi tutte le espressioni" href="reference/ref-60.htm" />
		    <topic label="Modifica valori di variabile nella vista Espressioni" href="reference/ref-65.htm" /> 
		    <topic label="Mostra costanti nella vista Espressioni" href="reference/ref-63.htm" />
		    <topic label="Mostra campi statici nella vista Espressioni" href="reference/ref-62.htm" />
		    <topic label="Mostra nomi completi nella vista Espressioni" href="reference/ref-58.htm" />
			<topic label="Mostra nomi dei tipi nella vista Espressioni" href="reference/ref-57.htm" /> 
		    <topic label="Mostra riquadro dei dettagli per la vista Espressioni" href="reference/ref-56c.htm" /> 
		    <topic label="Aggiungi/rimuovi punti di controllo" href="reference/ref-56d.htm" /> 
		    <topic label="Esamina" href="reference/ref-64.htm" /> 
		    <topic label="Apri tipo dichiarato" href="reference/ref-56e.htm" /> 
			<topic label="Mostra nomi di tipo" href="reference/ref-57.htm"/>
		</topic>
		<anchor id="r_expressionsview" />
		
		<topic label="Vista Variabili" href="reference/ref-74.htm">	
			<topic label="Esame dei valori" href="tasks/tasks-137.htm"/>
	      	<topic label="Mostra nomi completi nella vista Variabili" href="reference/ref-76.htm" />
    	  	<topic label="Mostra nomi di tipo nella vista Variabili" href="reference/ref-75.htm" />
      		<topic label="Mostra riquadro dei dettagli nella vista Variabili" href="reference/ref-showdetailpane.htm" />
      		<topic label="Aggiungi/rimuovi punti di controllo" href="reference/ref-74a.htm" />
	      	<topic label="Mostra campi statici nella vista Variabili" href="reference/ref-62.htm" />
    	  	<topic label="Mostra costanti nella vista Variabili" href="reference/ref-63.htm" />
      		<topic label="Modifica valori di variabile nella vista Variabili" href="reference/ref-81.htm" /> 
	      	<topic label="Esame nella vista Variabili" href="reference/ref-80.htm" /> 
		</topic>
		<anchor id="r_variablesview" />
		
		<topic label="Vista Gerarchia dei tipi" href="reference/ref-type-hierarchy.htm" />

		<topic label="Vista Esplora pacchetti" href="reference/ref-view-package-explorer.htm">
            <topic label="Finestra di dialogo Filtri dell'elemento Java" href="reference/ref-dialog-java-element-filters.htm" />
        </topic>

		<topic label="Vista Struttura Java" href="reference/ref-view-outline.htm" />
	</topic>
	
	<topic label="Menu">
		<topic label="Menu File" href="reference/ref-menu-file.htm" />
		<topic label="Menu Modifica" href="reference/ref-menu-edit.htm" />
		<topic label="Menu Origine" href="reference/ref-menu-source.htm" />
		<topic label="Menu Refactor" href="reference/ref-menu-refactor.htm" />
		<topic label="Menu Naviga" href="reference/ref-menu-navigate.htm" />
		<topic label="Menu Cerca" href="reference/ref-menu-search.htm" />
		<topic label="Menu Progetto" href="reference/ref-menu-project.htm" />
		<topic label="Menu Esegui" href="reference/ref-149.htm">
			<topic label="Comandi di esecuzione" href="reference/ref-150.htm">
			</topic>
			<topic label="Azioni di esecuzione e debug" href="reference/ref-4.htm">
			</topic>
		</topic>
	</topic>
	<anchor id="r_menus" />
	
	<topic label="Barra degli strumenti">
		<topic label="Azioni della barra degli strumenti Java" href="reference/ref-3.htm"/>
		<topic label="Azioni della barra degli strumenti dell'editor Java" href="reference/ref-java-editor.htm" />
		<topic label="Azioni di esecuzione e debug" href="reference/ref-4.htm" />
	</topic>
	
	<topic label="Preferenze" >
		<topic label="Java" href="reference/ref-13.htm" >
			<topic label="Aspetto" href="reference/ref-preferences-appearance.htm" />
			<topic label="Variabili del percorso classi" href="reference/ref-15.htm" />
			<topic label="Stile codice" href="reference/ref-preferences-code-generation.htm">
				<topic label="Modelli codice" href="reference/ref-preferences-code-templates.htm" />
				<topic label="Programma di formattazione" href="reference/ref-17.htm" />
				<topic label="Organizza importazioni" href="reference/ref-22.htm" />
			</topic>
			<topic label="Compilatore" href="reference/ref-preferences-compiler.htm">
				<topic label="Tag di attività" href="reference/ref-preferences-task-tags.htm" />
			</topic>
			<topic label="Editor Java" href="reference/ref-21.htm" >
	  			<topic label="Modelli" href="reference/ref-preferences-templates.htm" />
			</topic>
			<topic label="JRE installati" href="reference/ref-19.htm" />
			<topic label="JUnit" href="reference/ref-preferences-junit.htm" />
		</topic>
		<topic label="Debug" href="reference/ref-11.htm">
			<topic label="Preferenze di console" href="reference/ref-12.htm"/>
		</topic>
	</topic>
	<anchor id="r_jdtprefs" />	

    <topic label="Finestre di dialogo">
        <topic label="Filtri dell'elemento Java" href="reference/ref-dialog-java-element-filters.htm" />
        <topic label="Finestra di dialogo Apri tipo" href="reference/ref-148.htm" />
		<topic label="Crea metodi getter e setter" href="reference/ref-dialog-gettersetter.htm" />
    	<topic label="Sovrascrivi metodi" href="reference/ref-dialog-override-method.htm" />
    </topic>

    <topic label="Pagine delle proprietà">
        <topic label="Percorso Javadoc" href="reference/ref-dialog-javadoc-location.htm" />
 		<topic label="Percorso di generazione Java" href="reference/ref-123.htm" />
 		<topic label="Compilatore Java" href="reference/ref-properties-compiler.htm" />
 		<topic label="Tag attività Java" href="reference/ref-properties-task-tags.htm" />
		<topic label="Collegamento origine" href="reference/ref-124.htm" />
    </topic>    

    <topic label="Procedure guidate">
        <topic label="Esternalizzazione guidata stringhe" href="reference/ref-wizard-externalize-strings.htm" />
		<topic label="Esportazione file JAR" href="reference/ref-export-jar.htm" />
		<topic label="Generazione Javadoc" href="reference/ref-export-javadoc.htm" />
    </topic>

	<topic label="Nuove procedure guidate" >
		<topic label="Procedura guidata Nuovo progetto Java" href="reference/ref-121.htm">
			<topic label="Pagina Percorso di generazione Java" href="reference/ref-123b.htm" />
			<topic label="Collegamento dell'origine alle variabili ed ai file JAR" href="reference/ref-124.htm" />
		</topic>
		<anchor id="r_newwizards" />
		
		<anchor id="r_newjavapkgwizard" />
		<topic label="Procedura guidata Nuovo pacchetto Java" href="reference/ref-125.htm" />
		<anchor id="r_newjavaclasswizard" />
		<topic label="Procedura guidata Nuova classe Java" href="reference/ref-126.htm" />
		<anchor id="r_newjavaenumwizard" />
		<topic label="Procedura guidata Nuova enumerazione Java" href="reference/ref-126b.htm" />
		<anchor id="r_newjavainterfacewizard" />
		<topic label="Procedura guidata Nuova interfaccia Java" href="reference/ref-127.htm" />
		<anchor id="r_newjavaannotationwizard" />
		<topic label="Procedura guidata Nuova annotazione Java" href="reference/ref-127b.htm" />
		<anchor id="r_newsourcefolderwizard" />
		<topic label="Procedura guidata Nuova cartella di origine" href="reference/ref-128.htm" />
		<anchor id="r_newjavascrapbookpgwizard" />
		<topic label="Procedura guidata Nuova pagina di bozza Java" href="reference/ref-129.htm" />
	</topic>

	<topic label="Ricerca" >
		<topic label="Scheda Ricerca Java" href="reference/ref-131.htm" />
		<topic label="Azioni di ricerca Java" href="reference/ref-menu-search.htm" />
	</topic>
	<anchor id="r_search" />
	<topic label="Refactoring" href="reference/ref-115.htm">
		<topic label="Azioni del menu Refactor" href="reference/ref-menu-refactor.htm" />
		<topic label="Refactor guidato" href="reference/ref-117.htm" />
		<topic label="Errori di estrazione del metodo" href="reference/ref-154.htm" />
		<topic label="Preferenze Java" href="reference/ref-13.htm" />		
		<anchor id="r_refactoringerrors" />

	</topic>

	<topic label="Domande frequenti: JDT" href="reference/ref-152.htm" />
	<anchor id="r_faqjdt" />

	<topic label="Icone" href="reference/ref-156.htm" />
	<topic label="Glossario" href="reference/ref-155.htm" />

</toc>
